Get trial balance
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/insights/trial-balance \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/insights/trial-balance"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/insights/trial-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"data": {
"periods": {
"2020-12": {
"year": 2020,
"month": 12
}
},
"accounts": {
"100": {
"code": "100",
"description": "Bancos",
"trialBalance": {
"2020-12": {
"initialBalance": 431147.87,
"credits": 5081813.59,
"debits": 3339130.2,
"endingBalance": 2173831.27
}
},
"children": {
"102": {
"code": "102",
"description": "Bancos nacionales",
"trialBalance": {
"2020-12": {
"initialBalance": 431147.87,
"credits": 5081813.59,
"debits": 3339130.2,
"endingBalance": 2173831.27
}
}
}
}
}
}
}
}
]{
"message": "<string>"
}{
"message": "<string>"
}Financial
Trial Balance Insight
Returns all trial balances accounts matching on the account catalogs. If not present it will be tagged/grouped as ‘000 - Undefined’.
GET
/
entities
/
{entityId}
/
insights
/
trial-balance
Get trial balance
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Filter by invoice issuing date (greater than)
Filter by invoice issuing date (less than)
Filter by periodicity (yearly as default)
Available options:
yearly, monthly Response
Entity trial balance
Data
Show child attributes
Show child attributes
Was this page helpful?
⌘I